Bug 227361 - databases/sfcgal: update to 1.3.5
Summary: databases/sfcgal: update to 1.3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: easy, patch-ready
Depends on:
Blocks: 227362
  Show dependency treegraph
 
Reported: 2018-04-08 06:01 UTC by Loïc Bartoletti
Modified: 2018-04-24 07:29 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
sfcgal 1.3.3 (2.06 KB, patch)
2018-04-08 06:01 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
sfcgal 1.3.4 (1.15 KB, patch)
2018-04-10 17:31 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
sfcgal 1.3.5 (1.15 KB, patch)
2018-04-23 14:34 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2018-04-08 06:01:03 UTC
Created attachment 192327 [details]
sfcgal 1.3.3

Update sfcgal 1.3.1 -> 1.3.3

Change:
Fix compilation + tests with cgal 4.11.

Poudriere 10/11 i386/amd64 OK
Comment 1 Yuri Victorovich freebsd_committer 2018-04-08 07:30:22 UTC
This patch breaks at least databases/postgis21 (with SFCGAL added to OPTIONS_DEFAULT):

 dbfopen.o getopt.o shpcommon.o safileio.o shp2pgsql-core.o shp2pgsql-cli.o -o .libs/shp2pgsql /usr/local/lib/libintl.so -Wl,-rpath -Wl,/usr/local/lib  ../liblwgeom/.libs/liblwgeom.so -L/usr/local/lib -liconv -lgeos_c -lproj -ljson-c -lSFCGAL -Wl,-rpath -Wl,/usr/local/lib
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::NULL_VECTOR'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::defBFsqrtAbsPrec'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::File_writer_OFF::write_header(std::__1::basic_ostream<char, std::__1::char_traits<char> >&, unsigned int, unsigned int, unsigned int, bool)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::ORIGIN'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::Random::Random(unsigned int)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::is_binary(std::__1::basic_ios<char, std::__1::char_traits<char> >&)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::BigFloatRep::sqrt(CORE::BigFloatRep const&, CORE::extLong const&)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::BigFloatRep::operator new(unsigned int)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::postcondition_fail(char const*, char const*, int, char const*)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::BigIntRep::operator new(unsigned int)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::BigFloatRep::toDouble() const'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::BigFloatRep::operator delete(void*, unsigned int)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::precondition_fail(char const*, char const*, int, char const*)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::assertion_fail(char const*, char const*, int, char const*)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::File_header_OFF::File_header_OFF(bool, bool, bool, bool)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::BigIntRep::operator delete(void*, unsigned int)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::is_pretty(std::__1::basic_ios<char, std::__1::char_traits<char> >&)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::Random::Random()'
/usr/local/lib/libSFCGAL.so: undefined reference to `CORE::BigFloatRep::BigFloatRep(double)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::get_mode(std::__1::basic_ios<char, std::__1::char_traits<char> >&)'
/usr/local/lib/libSFCGAL.so: undefined reference to `CGAL::warning_fail(char const*, char const*, int, char const*)'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 2 Loïc Bartoletti freebsd_committer 2018-04-09 09:47:23 UTC
You're right. Retested this morning and fails.
I check it.
Comment 4 Loïc Bartoletti freebsd_committer 2018-04-10 17:31:20 UTC
Created attachment 192398 [details]
sfcgal 1.3.4

SFCGAL version is now 1.3.4

This version fix build for postgis

Poudriere 10/11 i386/amd64 tested with postgis23 and postgis24
Comment 5 Loïc Bartoletti freebsd_committer 2018-04-23 14:34:16 UTC
Created attachment 192756 [details]
sfcgal 1.3.5
Comment 6 Yuri Victorovich freebsd_committer 2018-04-24 07:28:48 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2018-04-24 07:29:07 UTC
A commit references this bug:

Author: yuri
Date: Tue Apr 24 07:28:36 UTC 2018
New revision: 468186
URL: https://svnweb.freebsd.org/changeset/ports/468186

Log:
  databases/sfcgal: Update 1.3.2 -> 1.3.5

  Port changes:
  * Grouped USExx section
  * Added PLIST_SUB with shlib version

  PR:		227361
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)

Changes:
  head/databases/sfcgal/Makefile
  head/databases/sfcgal/distinfo
  head/databases/sfcgal/pkg-plist